global_defs {
    router_id nginx1
}

vrrp_script check_nginx {
    script "/usr/bin/pgrep nginx"
    interval 2
    weight -20
    fall 3
}

vrrp_instance VI_1 {
    state BACKUP
    interface enp0s2
    virtual_router_id 51
    unicast_src_ip 192.168.64.15
    unicast_peer {
        192.168.64.16
    }
    priority 100
    advert_int 1

    track_script {
        check_nginx
    }

    authentication {
        auth_type PASS
        auth_pass password
    }

    virtual_ipaddress {
        192.168.64.200/24
    }
}
